color white = #f7fcf9;

void textAxis(){
  if (labels == true){
  pushStyle(); 
  fill(white); 
  textSize(100);
  scale(0.1); 
  scale(10); 
  popStyle();
  
  // z - axis (same for all) LHS
  float angle3 = radians(-90);
  pushMatrix();
  textSize(12); 
  translate(-205, 200, 50);
  rotateY(angle3);
  text("Winning Percentage", 0, 0);
  popMatrix(); 
  
  // left most cube
    // x axis
  text("Innings Pitched", -140, 210, 200);    
    // y axis
  pushMatrix();
  float angle2 = radians(270);
  translate(-185, 130);
  rotate(angle2);
  text("Year", 0, 0);
  popMatrix();
  
  // left center cube
    // x axis
  text("Best", 90, 210, 200);
    // y axis
  pushMatrix();
  translate(-5, 180);
  rotate(angle2);
  text("Worst", 0, 0);
  popMatrix();
 
  
  // middle cube 
    // x axis
  text("WLST", 280, 210, 200);
    // y axis
  pushMatrix();
  translate(195, 180);
  rotate(angle2);
  text("LSV", 0, 0);
  popMatrix();

  
  
  // right center cube
    // x axis
  text("Team Win-Loss %", 460, 210, 200);
    // y axis
  pushMatrix();
  translate(395, 180);
  rotate(angle2);
  text("Quality Start %", 0, 0);
  popMatrix();

    // z - axis (same for all) LHS
  pushMatrix();
  textSize(12); 
  translate(-205, 200, -20);
  rotateY(angle3);
  text("0%", 0, 0);
  popMatrix(); 

  pushMatrix();
  textSize(12); 
  translate(-205, 200, 200);
  rotateY(angle3);
  text("100%", 0, 0);
  popMatrix(); 
  
  // z - axis (same for all) RHS
  pushMatrix();
  textSize(12); 
  translate(805, 200, -20);
  rotateY(angle3);
  text("0%", 0, 0);
  popMatrix(); 

  pushMatrix();
  textSize(12); 
  translate(805, 200, 200);
  rotateY(angle3);
  text("100%", 0, 0);
  popMatrix();
  
  // right most cube
    // x axis
  text("# Short Days Rest", 660, 210, 200);
    // y axis
  pushMatrix();
  translate(595, 180);
  rotate(angle2);
  text("# Long Days Rest", 0, 0);
  popMatrix();

  // z - axis (same for all) LHS
  pushMatrix();
  textSize(12); 
  translate(805, 200, 50);
  rotateY(angle3);
  text("Winning Percentage", 0, 0);
  popMatrix(); 
 
  }
}
