void setGui(){
  // Set up the fonts
  PFont pfont = createFont("Arial", 16,true);
  ControlFont font = new ControlFont(pfont, 12);
  float X = 20;
  float distance = 40;
  int index = 1;
  // draw the GUI
  
  cp5.addToggle("direct")
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("labels")
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("cubes")
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  index++; 
  index++;

  cp5.addToggle("age_19_24")
  .setColorActive(color1)
  .setColorForeground(color1)
  .setColorBackground(color(60))
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("age_25_29")
  .setColorActive(color2)
  .setColorForeground(color2)
  .setColorBackground(color(60))
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("age_30_34")
  .setColorActive(color3)
  .setColorForeground(color3)
  .setColorBackground(color(60))
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("age_35_39")
  .setColorActive(color4)
  .setColorForeground(color4)
  .setColorBackground(color(60))
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("age_40_44")
  .setColorActive(color5)
  .setColorForeground(color5)
  .setColorBackground(color(60))
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addToggle("age_45_49")
  .setColorActive(color6)
  .setColorForeground(color6)
  .setColorBackground(color(60))
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  index++; 
  index++;
  
  
  cp5.addBang("rotate_cam")
  .setFont(font)
  .setPosition(X, distance*index);
  index++;
  
  cp5.addBang("initial")
  .setFont(font)
  .setPosition(X, distance*index);
  index++;

  cp5.setAutoDraw(false);
}


// A function for draw GUI correctly
void gui(){
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  cp5.draw();
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}

void rotate_cam(){
  cam.rotateY(PI/2);
}

void initial(){
  cam.reset(); 
  cam.lookAt(300, 100, 100);
}

void GuiLabels(){
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD(); 
  textSize(16); 
  
  text("Edit Visualization:", 20, 32);
  
  text("Age Range:", 20, 232);
  
  text("Camera Views:", 20, 552); 
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);  
}
